Bug 1119288 - MicroOS: 20GB disk too small
MicroOS: 20GB disk too small
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kubic
Current
Other Other
: P5 - None : Major (vote)
: ---
Assigned To: Richard Brown
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-12-12 16:07 UTC by Thorsten Kukuk
Modified: 2019-01-09 09:13 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thorsten Kukuk 2018-12-12 16:07:33 UTC
The default 20GB disk created by libvirt is too small for the MicroOS disk proposal. We need to adjust the limits, 20GB are enough and this gives a wired wrong message about the disk usage.
Comment 1 Richard Brown 2018-12-14 06:15:31 UTC
Agreed - this is a libosinfoissue IIRC - osinfo-db treats both TW and Kubic in the same config file

https://gitlab.com/libosinfo/osinfo-db/blob/master/data/os/opensuse.org/opensuse-tumbleweed.xml.in

Fix that, and libvirt should behave appropriately
Comment 4 Thorsten Kukuk 2019-01-07 10:12:05 UTC
Unfortunate, we didn't released much openSUSE Tumbleweed snapshots the last weeks.

But from my playing with openSUSE MicroOS and updates, I see the following:

13 GB for /
6 GB for /var/lib/docker

And I hope 1 GB are enough for GPT boot partition and what else is needed.
Comment 5 Richard Brown 2019-01-08 17:01:45 UTC
https://github.com/yast/skelcd-control-Kubic/pull/26
Comment 6 Richard Brown 2019-01-09 09:13:40 UTC
Resolved with https://build.opensuse.org/request/show/664034